//查询条件
import { FormProps } from '@/components/Form';

export function getFormConfig(): Partial<FormProps> {
  return {
    labelWidth: 100,
    schemas: [
      {
        field: 'givenYear',
        label: '填报年份',
        component: 'DatePicker',
        componentProps: {
          placeholder: '选择填报周期',
          picker: 'year',
          valueFormat: 'YYYY',
          format: 'YYYY',
          style: {
            width: '100%',
          },
        },

        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'quarter',
        label: '填报季度',
        component: 'Select',
        componentProps: {
          options: [
            { label: '第一季度', value: '第一季度' },
            { label: '第二季度', value: '第二季度' },
            {
              label: '第三季度',
              value: '第三季度',
            },
            {
              label: '第四季度',
              value: '第四季度',
            },
          ],
          placeholder: '季度',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },

      {
        field: 'contractName',
        label: ' 合同名称',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'contractAmount',
        label: '合同金额',
        colProps: {
          xl: 8,
          xxl: 4,
        },
        component: 'InputNumber',
        componentProps: {
          addonAfter: '万元',
        },
      },
      {
        field: 'changeNumber',
        label: '变更编号',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      //0000
      {
        field: 'changeType',
        label: '变更类型',
        colProps: {
          xl: 8,
          xxl: 4,
        },
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '图纸遗漏',
              value: '1',
            },
            {
              label: '图纸错误',
              value: '2',
            },
            {
              label: '销售部门要求增加',
              value: '3',
            },
            {
              label: '其他',
              value: '4',
            },
          ],
        },
      },
      {
        field: 'responsibleParty',
        label: '责任方',
        colProps: {
          xl: 8,
          xxl: 4,
        },
        component: 'Input',
      },
      {
        field: 'changeContent',
        label: ' 变更内容',
        colProps: {
          xl: 8,
          xxl: 4,
        },
        component: 'Input',
      },
      {
        field: 'updateAmount',
        label: '预估变更金额:',
        component: 'InputNumber',
        componentProps: {
          addonAfter: '万元',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'visaNumber',
        label: '签证编号',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'amountRatio',
        label: '累计变更签证金额占' + '\n' + '合同金额比例',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },

      {
        field: 'contractValueRatio',
        label: '预估变更金额占' + '\n' + '合同金额比例',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'changeAmount',
        label: '合同累计签证、' + '\n' + '+变更金额（含本次）',
        colProps: {
          xl: 8,
          xxl: 4,
        },
        component: 'InputNumber',
        componentProps: {
          addonAfter: '万元',
        },
      },
    ],
  };
}
export const exportUrl = '/pro/reportCenter/change-visa/export-change';
