import { FormSchema } from '@/components/Table';

// 9-变更签证管理详情
export const changeSignatureDrawer: FormSchema[] = [
  {
    label: '填报周期',
    field: 'yearQuarter',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '项目名称',
    field: 'projectName',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '招标方式',
    field: 'biddingMethod',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '合同名称',
    field: 'contractName',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '合同类型',
    field: 'contractType',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    labelWidth: '140px',
    field: 'formOfContract',
    label: '合同形式',
    required: false,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '固定总价',
          value: '1',
        },
        {
          label: '固定单价',
          value: '2',
        },
        {
          label: '费率',
          value: '3',
        },
        {
          label: '其他',
          value: '4',
        },
      ],
    },
  },
  {
    labelWidth: '140px',
    field: 'contractAmount',
    label: '合同金额',
    required: false,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    labelWidth: '140px',
    field: 'amountInvested',
    label: '立项投资额',
    required: false,
    component: 'InputNumber',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '甲方单位名称',
    field: 'firstPartyName',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '乙方单位名称',
    field: 'partyName',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '合同累计签证、变更金额（含本次）',
    field: 'changeAmount',
    labelWidth: '280px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '累计变更签证金额占合同金额比例',
    field: 'amountRatio',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '变更编号',
    field: 'changeNumber',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '变更类型',
    field: 'changeType',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '责任方',
    field: 'responsibleParty',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '变更内容',
    field: 'changeContent',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '预估变更金额',
    field: 'visaAmount',
    labelWidth: '280px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '预估变更金额占合同金额比例',
    field: 'contractValueRatio',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    label: '签证编号',
    field: 'visaNumber',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
  {
    labelWidth: '140px',
    field: 'visaType',
    label: '签证类型:',
    required: false,
    component: 'Input',
  },

  // 签证内容:
  {
    labelWidth: '140px',
    field: 'visaContent',
    label: '签证内容:',
    required: false,
    component: 'Input',
  },

  {
    labelWidth: '140px',
    //meeting_minutes
    label: '会议纪要',
    field: 'meetingMinutes',
    required: false,
    component: 'InputTextArea',
    componentProps: {
      maxlength: 100,
      showCount: true,
    },
  },
  {
    label: '资金来源',
    field: 'fundingSource',
    labelWidth: '280px',
    required: false,
    component: 'Input',
  },
];
