import { FormSchema } from '@/components/Table';

//安全隐患管理详情抽屉
export const potentialSafetyDrawer: FormSchema[] = [
  {
    label: '填报周期',
    field: 'fillingPeriod',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '隐患描述',
    field: 'describe',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '隐患级别',
    field: 'level',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '计划费用',
    field: 'planCost',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '实际费用',
    field: 'actualCost',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '计划时间',
    field: 'planTime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '实际时间',
    field: 'actualTime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '隐患治理后的评估情况',
    field: 'assessmentSituation',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '责任人',
    field: 'responsiblePerson',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
];

export const exportUrl = '/pro/export/safetyHazard';

//查询条件
export function getFormConfig(): Partial<FormProps> {
  return {
    labelWidth: 100,
    schemas: [
      {
        field: 'fillingPeriod',
        label: '填报周期',
        component: 'DatePicker',
        componentProps: {
          placeholder: '填报周期',
          style: { width: '100%' },
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '隐患描述',
        field: 'describe',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '隐患级别',
        field: 'level',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '一级',
              value: '一级',
            },
            {
              label: '二级',
              value: '二级',
            },
            {
              label: '三级',
              value: '三级',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '计划费用',
        field: 'planCost',
        component: 'Input',
        componentProps: {
          addonAfter: '万元',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '实际费用',
        field: 'actualCost',
        component: 'Input',
        componentProps: {
          addonAfter: '万元',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'actualTime',
        label: '实际时间',
        component: 'DatePicker',
        componentProps: {
          placeholder: '选择实际时间',
          style: { width: '100%' },
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'planTime',
        label: '计划时间',
        component: 'DatePicker',
        componentProps: {
          placeholder: '选择计划时间',
          style: { width: '100%' },
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '隐患后的评估情况',
        field: 'assessmentSituation',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '责任人',
        field: 'responsiblePerson',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '责任人一',
              value: '责任人一',
            },
            {
              label: '责任人二',
              value: '责任人二',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
    ],
  };
}
