import {FormProps, FormSchema} from '@/components/Table';

//安全教育管理详情抽屉
export const safetyEducationDrawer: FormSchema[] = [
  {
    label: '填报周期',
    field: 'fillingPeriod',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训时间',
    field: 'trainingTime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训主题',
    field: 'trainingTheme',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训类型',
    field: 'trainingType',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训形式',
    field: 'trainingFormat',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '计划会议',
    field: 'trainingMeet',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '培训人员',
    field: 'trainers',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '学识(合计)',
    field: 'knowledge',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '人数',
    field: 'numberOfPeople',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '备注',
    field: 'remark',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
];

export const exportUrl = '/pro/export/safetyEducation';

//查询条件
export function getFormConfig(): Partial<FormProps> {
  return {
    labelWidth: 100,
    schemas: [
      {
        field: 'fillingPeriod',
        label: '填报周期',
        component: 'DatePicker',
        componentProps: {
          placeholder: '选择填报周期',
          style: { width: '100%' },
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'trainingTime',
        label: '培训时间',
        component: 'DatePicker',
        componentProps: {
          placeholder: '选择培训时间',
          style: { width: '100%' },
          valueFormat: 'YYYY-MM-DD',
          format: 'YYYY-MM-DD',
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '培训主题',
        field: 'trainingTheme',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '培训类型',
        field: 'trainingType',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '类型一',
              value: '类型一',
            },
            {
              label: '类型二',
              value: '类型二',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '培训形式',
        field: 'trainingFormat',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'trainingMeet',
        label: '培训会议',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        field: 'trainers',
        label: '培训人员',
        component: 'Select',
        componentProps: {
          options: [
            {
              label: '人员一',
              value: '人员一',
            },
            {
              label: '人员二',
              value: '人员二',
            },
          ],
        },
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '学识(合计)',
        field: 'knowledge',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '人数(人)',
        field: 'numberOfPeople',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
      {
        label: '备注',
        field: 'remark',
        component: 'Input',
        colProps: {
          xl: 8,
          xxl: 4,
        },
      },
    ],
  };
}
