import { FormSchema } from '@/components/Table';

//结算管理详情抽屉
export const settlementDrawer: FormSchema[] = [
  {
    label: '填报周期',
    field: 'yearQuarter',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '立项投资额',
    field: 'projectInvestment',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '资金来源',
    field: 'fundingSource',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '招标方式',
    field: 'biddingMethod',
    labelWidth: '140px',
    required: false,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '建委招标',
          value: '1',
        },
        {
          label: '平台招标',
          value: '2',
        },
        {
          label: '邀标比选',
          value: '3',
        },
        {
          label: '直接委托',
          value: '4',
        },
        {
          label: '评分定离',
          value: '5',
        },
      ],
    },
  },
  {
    label: '合同类型',
    field: 'contracYpe',
    labelWidth: '140px',
    required: false,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '施工',
          value: '1',
        },
        {
          label: '监理',
          value: '2',
        },
        {
          label: '设计',
          value: '3',
        },
        {
          label: '图审',
          value: '4',
        },
      ],
    },
  },
  {
    label: '合同名称',
    field: 'contractName',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '甲方单位名称',
    field: 'firstPartyName',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '乙方单位名称',
    field: 'secondPartyName',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '合同形式',
    field: 'formOfContract',
    labelWidth: '140px',
    required: false,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '固定总价',
          value: '1',
        },
        {
          label: '固定单价',
          value: '2',
        },
        {
          label: '费率',
          value: '3',
        },
        {
          label: '其他',
          value: '4',
        },
      ],
    },
  },
  {
    label: '合同签订时间',
    field: 'contractSigningTime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '竣工时间',
    field: 'closingTime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '结算完成时间',
    field: 'closingTimeDatetime',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '合同金额',
    field: 'contractAmount',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '签证、变更金额',
    field: 'submittedForSettlement',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '结算报送金额',
    field: 'superContractScale',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '结算审定金额',
    field: 'sumOfMoney',
    labelWidth: '140px',
    required: false,
    component: 'Input',
    componentProps: {
      addonAfter: '万元',
    },
  },
  {
    label: '结算审核金额超合同额比例',
    field: 'proportionContractAmount',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '会议纪要',
    field: 'meetingMinutes',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
  {
    label: '备注',
    field: 'remark',
    labelWidth: '140px',
    required: false,
    component: 'Input',
  },
];
